Subject: (local ?) BOINC repo broken again -or- how to act on the CR/LF changes made upstream

From: Toralf Förster <[email-masked]>
Date: Fri, 12 Sep 2014 20:09:26 +0200

Today I run again into the CR/LF pain when I pulled from BOINC upstream and me wonders how I can "repair" the repository using git-2.1.0 at a 32bit Linux without cloning the full repository again (as I did it in the past). FWIW I did not changed anything locally, I just do pull regularly from upstreem to create a tar-ball of the current version for my own purpose:

tfoerste@n22 ~/devel/trinity $ cd ~/devel/boinc-v2; git pull
remote: Counting objects: 104, done.
remote: Compressing objects: 100% (52/52), done.
remote: Total 52 (delta 42), reused 0 (delta 0)
Unpacking objects: 100% (52/52), done.
>From git://boinc.berkeley.edu/boinc-v2
   ce97e85..d2e5582  master     -> origin/master
   194f1dc..4a696b4  client_release/7/7.4 -> origin/client_release/7/7.4
Updating ce97e85..d2e5582
error: Your local changes to the following files would be overwritten by merge:
        html/languages/translations/hu.po
        html/languages/translations/nl.po
        locale/bg/BOINC-Web.po
        locale/da/BOINC-Web.po
        locale/el/BOINC-Web.po
        locale/fr/BOINC-Web.po
        locale/hr/BOINC-Web.po
        locale/hu/BOINC-Project-Generic.po
        locale/hu/BOINC-Web.po
        locale/it_IT/BOINC-Project-Generic.po
        locale/lv/BOINC-Web.po
        locale/nl/BOINC-Project-Generic.po
        locale/nl/BOINC-Web.po
        locale/pl/BOINC-Web.po
        locale/pt_BR/BOINC-Web.po
        locale/ro/BOINC-Web.po
        locale/sk/BOINC-Web.po
        locale/zh_TW/BOINC-Web.po
Please, commit your changes or stash them before you can merge.
Aborting

tfoerste@n22 ~/devel/boinc-v2 $ git diff

tfoerste@n22 ~/devel/boinc-v2 $ git status
On branch master
Your branch is behind 'origin/master' by 7 commits, and can be fast-forwarded.
  (use "git pull" to update your local branch)
Changes not staged for commit:
  (use "git add <file>..." to update what will be committed)
  (use "git checkout -- <file>..." to discard changes in working directory)

        modified:   html/languages/translations/hu.po
        modified:   html/languages/translations/nl.po
        modified:   locale/bg/BOINC-Web.po
        modified:   locale/da/BOINC-Web.po
        modified:   locale/el/BOINC-Web.po
        modified:   locale/fr/BOINC-Web.po
        modified:   locale/hr/BOINC-Web.po
        modified:   locale/hu/BOINC-Project-Generic.po
        modified:   locale/hu/BOINC-Web.po
        modified:   locale/it_IT/BOINC-Project-Generic.po
        modified:   locale/lv/BOINC-Web.po
        modified:   locale/nl/BOINC-Project-Generic.po
        modified:   locale/nl/BOINC-Web.po
        modified:   locale/pl/BOINC-Web.po
        modified:   locale/pt_BR/BOINC-Web.po
        modified:   locale/ro/BOINC-Web.po
        modified:   locale/sk/BOINC-Web.po
        modified:   locale/zh_TW/BOINC-Web.po

no changes added to commit (use "git add" and/or "git commit -a")

tfoerste@n22 ~/devel/boinc-v2 $ git branch 
* master

tfoerste@n22 ~/devel/boinc-v2 $ git stash
warning: CRLF will be replaced by LF in html/languages/translations/hu.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in html/languages/translations/nl.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/bg/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/da/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/el/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/fr/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/hr/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/hu/BOINC-Project-Generic.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/hu/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/it_IT/BOINC-Project-Generic.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/lv/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/nl/BOINC-Project-Generic.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/nl/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/pl/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/pt_BR/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/ro/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/sk/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/zh_TW/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in html/languages/translations/hu.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in html/languages/translations/nl.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/bg/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/da/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/el/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/fr/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/hr/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/hu/BOINC-Project-Generic.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/hu/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/it_IT/BOINC-Project-Generic.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/lv/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/nl/BOINC-Project-Generic.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/nl/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/pl/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/pt_BR/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/ro/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/sk/BOINC-Web.po.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in locale/zh_TW/BOINC-Web.po.
The file will have its original line endings in your working directory.
Saved working directory and index state WIP on master: ce97e85 MGR: On MS Windows, scale Attach Wizard progress indicators according to user's DPI settings.
HEAD is now at ce97e85 MGR: On MS Windows, scale Attach Wizard progress indicators according to user's DPI settings.

tfoerste@n22 ~/devel/boinc-v2 $ git pull
Updating ce97e85..d2e5582
error: Your local changes to the following files would be overwritten by merge:
        html/languages/translations/hu.po
        html/languages/translations/nl.po
        locale/bg/BOINC-Web.po
        locale/da/BOINC-Web.po
        locale/el/BOINC-Web.po
        locale/fr/BOINC-Web.po
        locale/hr/BOINC-Web.po
        locale/hu/BOINC-Project-Generic.po
        locale/hu/BOINC-Web.po
        locale/it_IT/BOINC-Project-Generic.po
        locale/lv/BOINC-Web.po
        locale/nl/BOINC-Project-Generic.po
        locale/nl/BOINC-Web.po
        locale/pl/BOINC-Web.po
        locale/pt_BR/BOINC-Web.po
        locale/ro/BOINC-Web.po
        locale/sk/BOINC-Web.po
        locale/zh_TW/BOINC-Web.po
Please, commit your changes or stash them before you can merge.
Aborting

Attached are my ~/.gitconfig and ~/devel/boinc-v2/.git/config

-- 
Toralf
pgp key: 0076 E94E